'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var TRANSITION = exports.TRANSITION = 'TRANSITION';
var TRANSITION_SUCCESS = exports.TRANSITION_SUCCESS = 'TRANSITION_SUCCESS';
var UPDATE_LOCATION = exports.UPDATE_LOCATION = 'UPDATE_LOCATION';

var transition = function transition(method) {
  return function () {
    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return {
      type: TRANSITION,
      method: method,
      args: args
    };
  };
};

var push = exports.push = transition('push');
var replace = exports.replace = transition('replace');
var go = exports.go = transition('go');
var goBack = exports.goBack = transition('goBack');
var goForward = exports.goForward = transition('goForward');

var transitionSuccess = exports.transitionSuccess = function transitionSuccess() {
  return {
    type: TRANSITION_SUCCESS
  };
};

var updateLocation = exports.updateLocation = function updateLocation(location) {
  return {
    type: UPDATE_LOCATION,
    location: location
  };
};